//
//  UIView+SafeAnchors.h
//  MeridianiOSControls
//
//  Created by Stephen Kelly on 10/31/18.
//  Copyright © 2018 Aruba Networks. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface UIView (SafeAnchors)
/// safe area top anchor that takes into account iOS version
@property (nonatomic, readonly) NSLayoutYAxisAnchor *mr_safeTopAnchor;
/// safe area bottom anchor that takes into account iOS version
@property (nonatomic, readonly) NSLayoutYAxisAnchor *mr_safeBottomAnchor;
/// safe area leading anchor that takes into account iOS version
@property (nonatomic, readonly) NSLayoutXAxisAnchor *mr_safeLeadingAnchor;
/// safe area trailing anchor that takes into account iOS version
@property (nonatomic, readonly) NSLayoutXAxisAnchor *mr_safeTrailingAnchor;
@end

NS_ASSUME_NONNULL_END
