#import "MSAddAnnotationViewController.h"

@interface MSAddAnnotationViewController ()
@property (nonatomic, strong) MRPointAnnotation *userAnnotation;
@property (nonatomic, strong) MRPointAnnotation *userAnnotation2;
@end

@implementation MSAddAnnotationViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.mapView.mapKey = [MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]];
    }
    return self;
}

#pragma mark - UIViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIBarButtonItem *button1 = [[UIBarButtonItem alloc] initWithTitle:@"Toggle" style:UIBarButtonItemStylePlain target:self action:@selector(toggleAnnotation)];
    self.navigationItem.rightBarButtonItems = @[button1];
    
    self.userAnnotation = [[MRPointAnnotation alloc] init];
    self.userAnnotation.point = CGPointMake(872, 420);
    self.userAnnotation.title = @"Hello There";
    [self.mapView addAnnotation:self.userAnnotation];
    
    self.userAnnotation2 = [[MRPointAnnotation alloc] init];
    self.userAnnotation2.point = CGPointMake(100, 100);
    self.userAnnotation2.title = @"Hello Again";
}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"Add Annotation";
}

+ (NSString *)exampleInfo {
    return @"Example of how to add custom annotations.\n\n"
    @"• Custom annotation with a smiley image and `Hello There` in the sheet.\n"
    @"• Button to add/remove a second smiley annotation.\n";
}

#pragma mark - MRMapViewDelegate

- (MRAnnotationView *)mapView:(MRMapView *)mapView viewForAnnotation:(id<MRAnnotation>)annotation {
    MRAnnotationView *superAnnotationView = [super mapView:mapView viewForAnnotation:annotation];
    if (annotation == self.userAnnotation || annotation == self.userAnnotation2) {
        MRAnnotationView *annotationView = [self.mapView dequeueReusableAnnotationViewWithIdentifier:@"a"];
        if (!annotationView) {
            UIImageView *smileyView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"Smiley"]];
            smileyView.userInteractionEnabled = YES;
            annotationView = [[MRAnnotationView alloc] initWithAnnotation:self.userAnnotation reuseIdentifier:@"a"];
            annotationView.frame = smileyView.bounds;
            [annotationView addSubview:smileyView];
        }
        return annotationView;
    }
    return superAnnotationView;
}

#pragma mark - Action

- (void)toggleAnnotation {
    if ([self.mapView.annotations containsObject:self.userAnnotation2]) {
        [self.mapView removeAnnotation:self.userAnnotation2];
    } else {
        [self.mapView addAnnotation:self.userAnnotation2];
    }
}

@end
