#import "MSMapViewController.h"
#import "MSPlacemarkSheetDetailsDataSource.h"

@interface MSMapViewController () <MRDMapViewControllerDelegate>
@property (nonatomic, strong) MRDBottomSheetDetailsDataSource *sheetDataSource;
@end

@implementation MSMapViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.mapView.mapKey = [MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]];
    }
    return self;
}

+ (NSString *)exampleTitle {
    return @"Basic Map View Controller";
}

+ (NSString *)exampleInfo {
    return @"Example of a basic unmodified map view controller.";
}

#pragma mark: - MRDMapViewControllerDelegate Methods

- (nonnull id<MRDAnnotationTableDataSource>)dataSourceForTableView:(nonnull UITableView *)tableview
                                                     withPlacemark:(nonnull MRPlacemark *)placemark {
    self.sheetDataSource =
    [[MSPlacemarkSheetDetailsDataSource alloc] initWithPlacemark:placemark viewController:self];
    
    return (id<MRDAnnotationTableDataSource>)_sheetDataSource;

}

@end
