#import "MSShowsLocationViewController.h"

@implementation MSShowsLocationViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.mapView.mapKey = [MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]];
        self.mapView.showsUserLocation = YES;
    }
    return self;
}

#pragma mark - UIViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIBarButtonItem *button1 = [[UIBarButtonItem alloc] initWithTitle:@"Location" style:UIBarButtonItemStylePlain target:self action:@selector(toggle)];
    UIBarButtonItem *button2 = [[UIBarButtonItem alloc] initWithTitle:@"Compass" style:UIBarButtonItemStylePlain target:self action:@selector(toggle2)];
    self.navigationItem.rightBarButtonItems = @[button1, button2];}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"User Location Visibility";
}

+ (NSString *)exampleInfo {
    return @"Example of how to programatically enable/disable the blue location annotation.\n\n"
    @"• User location starts initially enabled.\n"
    @"• Button to toggle user location.\n";
}

#pragma mark - Action

- (void)toggle {
    self.mapView.showsUserLocation = !self.mapView.showsUserLocation;
}

- (void)toggle2 {
    self.mapView.showsUserHeading = !self.mapView.showsUserHeading;
}

@end
