//
//  MSShowsLocationViewController.swift
//  MeridianSwiftSamples
//
//  Created by Stephen Kelly on 5/19/17.
//  Copyright © 2017 Aruba Networks. All rights reserved.
//

import UIKit

class MSShowsLocationViewController: MRMapViewController, MSExampleViewController {
    convenience init() {
        self.init(nibName:nil, bundle:nil)
        mapView.mapKey = MREditorKey(forMap: MSExampleHost.mapID(), app: MSExampleHost.appID())
        mapView.showsUserLocation = true
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()

        let button0 = UIBarButtonItem(title: "Location", style: .plain, target: self, action: #selector(toggle))
        let button1 = UIBarButtonItem(title: "Compass", style: .plain, target: self, action: #selector(toggle2))
        navigationItem.rightBarButtonItems = [button0, button1]
    }

    // MARK: - MSExampleViewController

    static func exampleTitle() -> String {
        return "User Location Visibility"
    }

    static func exampleDetail() -> String {
        return """
        Example of how to programatically enable/disable the blue location annotation.
        
        • User location starts initially enabled.
        • Button to toggle user location.
        """
    }

    // MARK: - Action

    @objc private func toggle() {
        mapView.showsUserLocation = !mapView.showsUserLocation
    }

    @objc private func toggle2() {
        mapView.showsUserHeading = !mapView.showsUserHeading
    }
}
