//
//  MSShowsPlacemarksViewController.swift
//  MeridianSwiftSamples
//
//  Created by Stephen Kelly on 5/19/17.
//  Copyright © 2017 Aruba Networks. All rights reserved.
//

import UIKit

class MSShowsPlacemarksViewController: MRMapViewController, MSExampleViewController {
    convenience init() {
        self.init(nibName:nil, bundle:nil)
        mapView.mapKey = MREditorKey(forMap: MSExampleHost.mapID(), app: MSExampleHost.appID())
        mapView.showsPlacemarks = false
        mapView.showsTags = false
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()

        let button0 = UIBarButtonItem(title: "Tags", style: .plain, target: self, action: #selector(toggleTags))
        let button1 = UIBarButtonItem(title: "Placemarks", style: .plain, target: self, action: #selector(togglePlacemarks))
        navigationItem.rightBarButtonItems = [button0, button1]
    }

    // MARK: - MSExampleViewController

    static func exampleTitle() -> String {
        return "Placemark & Tag Visibility"
    }

    static func exampleDetail() -> String {
        return """
        Example of how to programmatically show/hide map placemarks & tags.
        
        • Placemarks and tags are initially hidden.
        • Buttons to toggle visibility.
        """
    }

    // MARK: - Action

    @objc private func togglePlacemarks() {
        mapView.showsPlacemarks = !mapView.showsPlacemarks
    }

    @objc private func toggleTags() {
        mapView.showsTags = !mapView.showsTags
    }
}
