Meridian SDK for iOS
====================

This SDK package will assist you in embedding Meridian's maps and directions features into your own iOS apps. You create your location-based data and maps at http://edit.meridianapps.com then use this SDK to display them in your app. The SDK provides all the necessary functionality of downloading the relevant location data and presenting the UI for maps & wayfinding.


What's In The Box?
==================

- README.md: this file!
- Meridian.framework: The iOS framework you'll be linking against.
- MeridianSamples: An Xcode project demonstrating a simple app that uses the SDK.
- MeridianSwiftSamples: Another Xcode project written in swift demonstrating a simple app that uses the SDK.


Using the SDK in an existing app
================================

Adding a 3rd party library to an Xcode iOS project can be tricky. We've tried to make it as simple as possible by bundling the SDK code into a universal "Framework".

In short, here are the steps you'll need to take:

1. Drag `Meridian.framework` into the Frameworks group in your Xcode project.

2. Ensure that your app links against these system frameworks:

 - Foundation.framework
 - UIKit.framework
 - CoreLocation.framework
 - SystemConfiguration.framework
 - MobileCoreServices.framework
 - libxml2.2.dylib

 3. Add a new “Run Script Phase” in your app target’s “Build Phases” and paste the following in the script text field:
       bash "${BUILT_PRODUCTS_DIR}/${FRAMEWORKS_FOLDER_PATH}/Meridian.framework/strip-frameworks.sh"

 4. In your relevant source files, add the line `#import <Meridian/Meridian.h>` to access the Meridian classes.

You can examine the MeridianSamples project to see what the finished project structure should look like.


Questions, Help, etc.
=====================

More documentation and code snippets can be found on the our [site](http://docs.meridianapps.com/article/483-the-ios-sdk-guide).

Please email any support requests, comments, and concerns to [developers@meridianapps.com](mailto:developers@meridianapps.com).

Thanks so much for using Meridian!
